Subject: bug#1535: 23.0.60; emacsclient returns immediately without opening a frame

From: Tassilo Horn <[email-masked]>
Date: Thu, 11 Dec 2008 09:01:51 +0100

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Since I updated my emacs copy yesterday evening (CET), emacsclient
returns immediately and no frame is opened.  Here's a recipe:

╭─[horn@thinkpad]─[~]─[0]─[5858]
╰─[:)] % emacs --daemon -Q
("emacs" "-Q")
Starting Emacs daemon.
╭─[horn@thinkpad]─[~]─[0]─[5859]
╰─[:)] % emacsclient -c             # Nothing happens
╭─[horn@thinkpad]─[~]─[1]─[5860]
╰─[:(] % emacsclient -t             # Nothing happens
╭─[horn@thinkpad]─[~]─[1]─[5861]
╰─[:(] % emacsclient .emacs         # Nothing happens

The same happens if I start a "normal" emacs and execute `server-start'
in it.

The change introducing that must have been checked in in the last 2
days.  With my previous copy it did work as expected.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.0.60/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.1 (x86_64-pc-linux-gnu, GTK+ Version 2.14.5)
 of 2008-12-10 on thinkpad
Windowing system distributor `The X.Org Foundation', version 11.0.10502000
configured using `configure  '--prefix=/usr' '--host=x86_64-pc-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--libdir=/usr/lib64' '--program-suffix=-emacs-23' '--infodir=/usr/share/info/emacs-23' '--with-sound' '--with-x' '--with-toolkit-scroll-bars' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xpm' '--with-freetype' '--with-xft' '--with-libotf' '--with-m17n-flt' '--with-x-toolkit=gtk' '--without-hesiod' '--without-kerberos' '--without-kerberos5' '--with-gpm' '--with-dbus' '--build=x86_64-pc-linux-gnu' 'build_alias=x86_64-pc-linux-gnu' 'host_alias=x86_64-pc-linux-gnu' 'CFLAGS=-g -ggdb -O1 -pipe' 'LDFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  gnus-topic-mode: t
  gnus-undo-mode: t
  rcirc-track-minor-mode: t
  yas/minor-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  iswitchb-mode: t
  window-number-meta-mode: t
  window-number-mode: t
  savehist-mode: t
  exec-abbrev-cmd-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
a t ' s SPC <backspace> <backspace> <backspace> SPC 
h a s SPC n o t h i n g SPC t o SPC d o SPC w i t h 
SPC r e c e n t f , <backspace> ; SPC o m i t t i n 
g SPC t h e SPC - - e v a l SPC r e s u l t l SPC <backspace> 
<backspace> s SPC i n SPC t e h <backspace> <backspace> 
h e SPC s a m e SPC p r o b l e m . SPC SPC ( I ' l 
l SPC r e p o r t SPC a SPC s e p a r a t e SPC b u 
g SPC f o r SPC t h e SPC n e w SPC i s s u e SPC a 
n d SPC s u g g e s t SPC t o SPC k e e p SPC t h a 
t SPC o n e SPC <M-backspace> <M-backspace> t h i s 
SPC o n e SPC o p e n SPC i <backspace> u n t i l SPC 
I SPC c a n SPC c e <backspace> h e c k SPC a g a i 
n SPC w i t h SPC a SPC f u n c t i o n a l SPC s e 
r <backspace> <backspace> <backspace> d a e m o n ? 
<backspace> / c l i e n t . ) M-q <return> <return> 
b <tab> C-c C-c c <down> <down> <down> <down> <down> 
<down> <return> c <up> <return> 3 0 <return> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> q M-x r e b <return> <return>

Recent messages:
20081211T085617.938> nnimap: Updating info for nnimap+Fastmail:INBOX.mailinglists.emacsbugs...
20081211T085617.940> nnimap: Updating info for nnimap+Fastmail:INBOX.mailinglists.emacsbugs...done
20081211T085620.246> Fetching headers for nnimap+Fastmail:INBOX.mailinglists.emacsbugs...
20081211T085620.303> Fetching headers for nnimap+Fastmail:INBOX.mailinglists.emacsbugs...done
20081211T085620.396> Scoring...
20081211T085620.397> Scoring...done
20081211T085620.407> Generating summary...
20081211T085620.419> Generating summary...done
20081211T085620.420> No more unread articles
20081211T085628.515> Exiting summary buffer and applying spam rules

-- 
Chuck Norris does not teabag the ladies. He potato-sacks them. 
Pluto is actually an orbiting group of British soldiers from the American Revolution who entered space after the Chuck gave them a roundhouse kick to the face.